/*
 * Copyright 2012  Samsung Electronics Co., Ltd
 *
 * Licensed under the Flora License, Version 1.1 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *	  http://floralicense.org/license/
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

#ifndef __IVUG_CONFIG_H__
#define __IVUG_CONFIG_H__

#include <vconf.h>

#include "ivug-define.h"

typedef enum {
	SLIDE_SHOW_MODE_NORMAL 			= 0x00,
	SLIDE_SHOW_MODE_REPEAT			= 0x01,
	SLIDE_SHOW_MODE_SHUFFLE			= 0x02,
	SLIDE_SHOW_MODE_SHUFFLE_REPEAT 	= 0x03,
} slide_show_mode;

typedef enum {
	IVUG_EFFECT_TYPE_UNKNOWN = -1,

	IVUG_EFFECT_TYPE_IRIS= 0x00,
	IVUG_EFFECT_TYPE_DISSOLVE,
	IVUG_EFFECT_TYPE_SLIDE,
	IVUG_EFFECT_TYPE_DISSOLVE_FADE,
	IVUG_EFFECT_TYPE_SPLIT,
	IVUG_EFFECT_TYPE_MAX,
} ivug_effect_type;

typedef void (*_vconf_state_changed_cb)(keynode_t* node, void *data);

#ifdef __cplusplus
extern "C" {
#endif

bool ivug_config_set_lockscreen_image(const char* filepath);

bool ivug_config_set_homescreen_image(const char* filepath);

void ivug_config_get_slideshow_setting(slide_show_mode * /* OUT */ mode,
							double * /* OUT */ interval_time,
							ivug_effect_type * /* OUT */ effect_type);

bool ivug_config_get_can_rotate(void);

#ifdef __cplusplus
}
#endif


#endif // __IVUG_CONFIG_H__
