/*
 * Copyright 2012  Samsung Electronics Co., Ltd
 *
 * Licensed under the Flora License, Version 1.1 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *	  http://floralicense.org/license/
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

#pragma once

typedef struct  {
	int x, y;

	unsigned int timestamp;

	int button_flags;

	int event_flags;
	int device;
} MouseEvent;


typedef struct {
	void (*onMouseDown)(Evas_Object *obj, MouseEvent *down, void *data);
	void (*onMouseDlbClick)(Evas_Object *obj, MouseEvent *click, void *data);
	void (*onMouseUp)(Evas_Object *obj, MouseEvent *up, void *data);
	void (*onMouseMove)(Evas_Object *obj, MouseEvent *prev, MouseEvent *cur, void *data);

	void (*onPinchStart)(Evas_Object *obj, MouseEvent *center, int dist, void *data);
	void (*onPinchMove)(Evas_Object *obj, MouseEvent *center, int dist, void *data);
	void (*onPinchEnd)(Evas_Object *obj, MouseEvent *end, void *data);		// Is it really needed????

} mouse_callback_t;

typedef void *Ivug_Event_Handle;

#ifdef __cplusplus
extern "C" {
#endif

Ivug_Event_Handle
ivug_mouse_event_add(Evas_Object *obj, mouse_callback_t *pCallback, void *client_data, const char *alias /* for debugging*/);

void ivug_mouse_event_del(Ivug_Event_Handle handle);

#ifdef __cplusplus
}
#endif


