/*
 * Copyright 2012  Samsung Electronics Co., Ltd
 *
 * Licensed under the Flora License, Version 1.1 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *	  http://floralicense.org/license/
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

#ifndef __IVUG_EXT_UG_H__
#define __IVUG_EXT_UG_H__

#include <stdbool.h>
#include <ui-gadget.h>

#ifdef __cplusplus
extern "C" {
#endif

typedef void (*ug_destroy_cb)(ui_gadget_h ug, void *data);
typedef void (*ug_result_cb)(ui_gadget_h ug, service_h service, void *data);

#define OPERATION_NAME_CALL "http://tizen.org/appcontrol/operation/call"

/*
	Launch extern module.
*/
bool ivug_ext_launch_videoplayer_simple(const char *filepath);
bool ivug_ext_launch_videoplayer(const char *uri);

ui_gadget_h  ivug_ext_launch_wifi_file_transfer(const char *uri, ug_destroy_cb func, void *data);
ui_gadget_h  ivug_ext_launch_bluetooth_print(const char *uri, ug_destroy_cb func, void *data);
ui_gadget_h  ivug_ext_launch_bluetooth_send(const char *uri, ug_destroy_cb func, void *data);

ui_gadget_h  ivug_ext_launch_contact(const char *uri, ug_destroy_cb func, void *data);
ui_gadget_h  ivug_ext_launch_message(const char *uri, ug_destroy_cb func, void *data);

ui_gadget_h  ivug_ext_launch_select_contact(ug_result_cb result_func, ug_destroy_cb destroy_func, void *data);

bool ivug_ext_launch_browser(const char *uri);
bool ivug_ext_launch_email(const char *uri);
bool ivug_ext_launch_print(const char *uri);

bool ivug_ext_launch_default(const char *uri, const char *operation, const char *pkg, void *data);
bool ivug_ext_launch_to_send(const char *uri, const char *pkg, ug_destroy_cb func, void *data, ui_gadget_h ug);

#ifdef __cplusplus
}
#endif

#endif //__IVUG_EXT_UG_H__

