/*
 * Copyright 2012  Samsung Electronics Co., Ltd
 *
 * Licensed under the Flora License, Version 1.1 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *	  http://floralicense.org/license/
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

#ifndef __IVUG_BUDDY_UG_H__
#define __IVUG_BUDDY_UG_H__

#include "ivug-buddy-view.h"

typedef struct {
	Ivug_BuddyView *buddy_view;

	Evas_Object *layout;
	Evas_Object *parent;

	Evas_Object *navi_bar;
	Elm_Object_Item *navi_it;

	char *filepath;
} IvugBuddyUG;

#ifdef __cplusplus
extern "C" {
#endif

IvugBuddyUG * ivug_buddy_ug_create(Evas_Object *parent, const char *filepath);

Evas_Object * ivug_buddy_ug_get_layout(IvugBuddyUG * buddy_ug);

bool ivug_buddy_ug_destroy(IvugBuddyUG * buddy_ug);

bool ivug_buddy_ug_start(IvugBuddyUG * buddy_ug);

#ifdef __cplusplus
}
#endif

#endif 	// __IVUG_BUDDY_UG_H__

