/*
 * Copyright 2012  Samsung Electronics Co., Ltd
 *
 * Licensed under the Flora License, Version 1.1 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *	  http://floralicense.org/license/
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */


#ifndef __IVUG_CONTEXT_H__
#define __IVUG_CONTEXT_H__

#include "ivug-common.h"


#include "ivug-callback.h"

#include <ui-gadget.h>

/*
	Managing context(instance)
*/
#ifdef __cplusplus
extern "C" {
#endif

bool
ivug_context_deinit(ui_gadget_h ug);

bool
ivug_context_init(ui_gadget_h ug);

void
ivug_context_destroy_me(const char *file, int line);

#define DESTROY_ME() \
	do { \
		ivug_context_destroy_me(__FILE__, __LINE__); \
	} while(0)

void
gSetRotationDegree(int degree);

Elm_Theme*
gGetSystemTheme(void);

int
gGetRotationDegree(void);

ui_gadget_h
gGetUGHandle(void);

Evas_Object *
gGetCurrentWindow(void);


callback_handle_t *
gGetCallbackHandle(void);

bool
gIsDesktopMode(void);

void
gSetDesktopMode(bool isDesktop);

int gGetScreenWidth();
int gGetScreenHeight();

#ifdef __cplusplus
}
#endif

#endif //__IVUG_CONTEXT_H__
