/*
 * Copyright 2012  Samsung Electronics Co., Ltd
 *
 * Licensed under the Flora License, Version 1.1 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *	  http://floralicense.org/license/
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

#ifndef __IVUG_CROP_UG_H__
#define __IVUG_CROP_UG_H__

#include "ivug-crop-view.h"
#include "ivug-setas-view.h"

typedef struct {
	IvugCropView *crop_view;

	Evas_Object *layout;
	Evas_Object *parent;

	Evas_Object *navi_bar;
	Elm_Object_Item *navi_it;

	char *filepath;
} IvugCropUG;

#ifdef __cplusplus
extern "C" {
#endif

IvugCropUG * ivug_crop_ug_create(Evas_Object *parent, int w, int h, bool bRatioFix, const char *filepath);

IvugCropUG * ivug_setas_crop_ug_create(Evas_Object *parent, const char *filepath,
							ivug_setas_mode mode, ivug_set_screen_type type);

Evas_Object * ivug_crop_ug_get_layout(IvugCropUG * crop_ug);

bool ivug_crop_ug_destroy(IvugCropUG * crop_ug);

bool ivug_crop_ug_start(IvugCropUG * crop_ug);

#ifdef __cplusplus
}
#endif

#endif 		// __IVUG_CROP_UG_H__

