/*
 * Copyright 2012  Samsung Electronics Co., Ltd
 *
 * Licensed under the Flora License, Version 1.1 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *	  http://floralicense.org/license/
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

#ifndef __IVUG_SELECTIONINFO_H__
#define __IVUG_SELECTIONINFO_H__

#ifdef __cplusplus
extern "C" {
#endif

#define NOTIFY_ALIGN_TOP (0.04)	// efl bug? not 0.0
#define NOTIFY_ALIGN_BOTTOM (1.0)

/* time out applied */
Evas_Object * ivug_selectioninfo_create(Evas_Object* parent, const char* contents);

Evas_Object * ivug_notify_create(Evas_Object* parent, const char* text);

Evas_Object * ivug_notify_static_create(Evas_Object* parent, const char* text, double align);

void ivug_notify_timeout_create(Evas_Object* parent, const char* text, double align,
	Evas_Smart_Cb timeout_cb, void *data);


#ifdef __cplusplus
}
#endif

#endif // __IVUG_SELECTIONINFO_H__
