/*
 * Copyright 2012  Samsung Electronics Co., Ltd
 *
 * Licensed under the Flora License, Version 1.1 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *	  http://floralicense.org/license/
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

#ifndef __IVUG_WIDGET_H__
#define __IVUG_WIDGET_H__

#ifdef __cplusplus
extern "C" {
#endif

/*
	Internal use only... use macro DELETE_LOG instead
*/
void ivug_on_obj_deleted(Evas_Object* obj, const char *msg, const char *func, int line);


#define DELETE_NOTIFY(obj)	\
	ivug_on_obj_deleted(obj, #obj, __func__, __LINE__)

/*
	Create elm_bg with color - r,g,b
*/
Evas_Object *
ivug_bg_add(Evas_Object* parent, int r, int g, int b);

Evas_Object *
ivug_layout_add(Evas_Object *win, const char *edjname, const char *groupname);

Evas_Object *
ivug_layout_add2(Evas_Object *parent, const char *edj, const char *group);

Evas_Object*
ivug_default_layout_add( Evas_Object *win);

Evas_Object *
ivug_button_add(Evas_Object *parent, const char *style, const char *caption, Evas_Object *icon, Evas_Smart_Cb pFunc, const void *data );

Evas_Object *
ivug_icon_add(Evas_Object *parent, const char *edjname, const char *groupname);

Evas_Object *
ivug_controlbar_add(Evas_Object *parent, const char *style);

Evas_Object *
ivug_naviframe_add(Evas_Object *parent, const char *style);


#ifdef __cplusplus
}
#endif


#endif // __IVUG_WIDGET_H__

