/*
 * Copyright 2012  Samsung Electronics Co., Ltd
 *
 * Licensed under the Flora License, Version 1.1 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *	  http://floralicense.org/license/
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

#ifndef __DETAILS_VIEW_H__
#define __DETAILS_VIEW_H__

#include <unicode/udat.h>
#include "ivug-datatypes.h"
#include "ivug-media.h"
#include "ivug-medialist.h"
#include "ivug-name-view.h"

#include "ivug-detail-info.h"

/*
	"renamed"
*/

typedef struct {
	Evas_Object *parent;
	Evas_Object *bg;

	Evas_Object *layout;
	Evas *evas;
	Evas_Object *genlist;

/*
	  |---------------|
 	  | naviframe           |
 	  |---------------|
 	  |				  |
  	  |	genlist		  |
  	  |				  |
  	  |---------------|
*/

/* Genlist class */
	Elm_Genlist_Item_Class itc;
	Elm_Genlist_Item_Class title_itc;
	Elm_Genlist_Item_Class multiline_icon_itc;
	Elm_Genlist_Item_Class multiline_itc;

	char **filename;	//for rename
	char **path;	//for rename

	Ivug_NameView *pNameView;
	Media_Item *mitem;
} Ivug_DetailsView;

#ifdef __cplusplus
extern "C" {
#endif

Ivug_DetailsView *ivug_details_view_screen_create(Evas_Object *parent, Media_Item *mitem, ivug_view_by view_by);

void ivug_details_view_destroy(Ivug_DetailsView *pDetailsView);

Evas_Object *ivug_details_view_object_get(Ivug_DetailsView *pDetailsView);

void ivug_details_view_update(Ivug_DetailsView *pDetailsView, const char *new_path);

#ifdef __cplusplus
}
#endif


#endif		// __DETAILS_VIEW_H__


