

/*
 * Copyright 2012  Samsung Electronics Co., Ltd
 *
 * Licensed under the Flora License, Version 1.1 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *	  http://floralicense.org/license/
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

#ifndef __IVUG_SLIDESHOW_VIEWER_H__
#define __IVUG_SLIDESHOW_VIEWER_H__

#include "ivug-parameter.h"
#include "ivug-medialist.h"

#include "ivug-slideshow.h"

typedef struct {
	Evas_Object *parent;

	Evas_Object *layout;		// Not visibile layout.

	ivug_view_by view_by;

// List
	Media_List *mList;

	Ecore_Event_Handler *keydown_handler;
	Ecore_Idler *homekey_idler;

// Slide show;
	Media_Item *ss_curItem;
	SlideShow *ssHandle;

	char *album_name;
} Ivug_SlideShowView;



#ifdef __cplusplus
extern "C" {
#endif


Ivug_SlideShowView *
ivug_slideshow_view_create(Evas_Object* parent, ivug_mode mode, ivug_view_by view_by);

Evas_Object *
ivug_slideshow_view_object_get(Ivug_SlideShowView *pSSView);

bool
ivug_slideshow_view_set_list(Ivug_SlideShowView *pSSView, ivug_parameter *ivug_param);

void
ivug_slideshow_view_start(Ivug_SlideShowView *pSSView);

void
ivug_slideshow_view_resume(Ivug_SlideShowView *pSSView);

void
ivug_slideshow_view_pause(Ivug_SlideShowView *pSSView);

void
ivug_slideshow_view_destroy(Ivug_SlideShowView *pSSView);

void
_ivug_slideshow_view_on_mmc_state_changed(keynode_t* node, void *data);

#ifdef __cplusplus
}
#endif


#endif	//__IVUG_SLIDESHOW_VIEWER_H__

