/*
 * Copyright 2012  Samsung Electronics Co., Ltd
 *
 * Licensed under the Flora License, Version 1.1 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *	  http://floralicense.org/license/
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

#ifndef __IVUG_MAIN_VIEW_TOOLBAR_H__
#define __IVUG_MAIN_VIEW_TOOLBAR_H__


/*
	Get ctrl/tool bar type from slide type.
*/
ivug_ctrlbar _get_ctrl_bar_type(ivug_mode mode, Media_Type slide_type);
ivug_toolbar _get_tool_bar_type(ivug_mode mode, Media_Type slide_type );

Evas_Object *_create_ctrl_bar(Evas_Object *parent);
Evas_Object *_create_tool_bar(Evas_Object *parent);

void _change_close_to_details(Ivug_MainView *pMainView);
void _change_details_to_close(Ivug_MainView *pMainView);

void _create_main_menu(Ivug_MainView *pMainView);

#endif // __IVUG_MAIN_VIEW_TOOLBAR_H__

