/*
 * Copyright 2012  Samsung Electronics Co., Ltd
 *
 * Licensed under the Flora License, Version 1.1 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *	  http://floralicense.org/license/
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */


#ifndef __IVUG_SETAS_CALLERID_H__
#define __IVUG_SETAS_CALLERID_H__

#include "ivug-common.h"

// This functions are used for Crop(AUL) and CallerID(UG)

#ifdef __cplusplus
extern "C" {
#endif


/*
	"load,failed"			- Image decoding error
	"ok,clicked"			- Button "OK" clicked
	"cancel,clicked"		- Button "Cancel" clicked
*/
Evas_Object *_ivug_setas_callerid_create_layout(Evas_Object *parent);

Evas_Object *_ivug_setas_callerid_delete_layout(Evas_Object *obj);

bool _ivug_setas_callerid_load_file(Evas_Object *obj, const char *filepath);

Evas_Object *_ivug_setas_callerid_internal_image_get(Evas_Object *obj);

bool _ivug_setas_callerid_select_region_get(Evas_Object *obj, int *x, int *y, int *w, int *h);

void _ivug_setas_callerid_aspect_ratio_set(Evas_Object *obj, double ratio);

void _ivug_setas_callerid_create_menu(Evas_Object *obj, Evas_Object *navi_bar);

#ifdef __cplusplus
}
#endif


#endif //__IVUG_SETAS_CALLERID_H__
