/*
 * Copyright 2012  Samsung Electronics Co., Ltd
 *
 * Licensed under the Flora License, Version 1.1 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *	  http://floralicense.org/license/
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

#ifndef __IVUG_SETAS_WALLPAPER_H__
#define __IVUG_SETAS_WALLPAPER_H__

#include "ivug-common.h"

#ifdef __cplusplus
extern "C" {
#endif


/*
	"load,failed"			- Image decoding error
	"ok,clicked"			- Button "OK" clicked
	"cancel,clicked"		- Button "Cancel" clicked
*/
Evas_Object *_ivug_setas_create_layout(Evas_Object *parent);
Evas_Object *_ivug_setas_delete_layout(Evas_Object *obj);

bool _ivug_setas_load_file(Evas_Object *obj, const char *filepath);

Evas_Object *_ivug_setas_internal_image_get(Evas_Object *obj);

void _ivug_setas_view_create_menu(Evas_Object *obj, Evas_Object *navi_bar);

#ifdef __cplusplus
}
#endif


#endif //__IVUG_SETAS_WALLPAPER_H__
