%define cflags	" -Wall -Wextra -g -fpie -fPIC -O3 -Wno-unused-parameter -Wno-missing-field-initializers -fvisibility=hidden -finstrument-functions -pie -Wl,--as-needed -D_LARGEFILE64_SOURCE -D_FILE_OFFSET_BITS=64"
%define cxxflags	" -Wall -Wextra -g -fpie -fPIC -O3 -Wno-unused-parameter -Wno-missing-field-initializers -fvisibility=hidden -finstrument-functions -pie -Wl,--as-needed -fvisibility-inlines-hidden -D_LARGEFILE64_SOURCE -D_FILE_OFFSET_BITS=64"

%define _usrdir	/usr
%define _ugdir	%{_usrdir}/ug
%define _datadir /opt%{_ugdir}/data

Name:		ug-image-viewer-efl
Summary:    Image Viewer UI Gadget v1.0
Version:    1.7.9
Release:    0
Group:      misc
License:    Flora Software License
Source0:    %{name}-%{version}.tar.gz

BuildRequires: cmake
BuildRequires: edje-tools
BuildRequires: gettext-tools
BuildRequires: prelink
BuildRequires: libicu-devel

BuildRequires: pkgconfig(elementary)
BuildRequires: pkgconfig(edje)
BuildRequires: pkgconfig(evas)
BuildRequires: pkgconfig(ecore)
BuildRequires: pkgconfig(utilX)
BuildRequires: pkgconfig(libmedia-utils)
BuildRequires: pkgconfig(ui-gadget-1)
BuildRequires: pkgconfig(drm-client)
BuildRequires: pkgconfig(vconf)
BuildRequires: pkgconfig(libexif)
BuildRequires: pkgconfig(efreet)
BuildRequires: pkgconfig(mm-fileinfo)
BuildRequires: pkgconfig(dlog)
BuildRequires: pkgconfig(glib-2.0)
BuildRequires: pkgconfig(xext)
BuildRequires: pkgconfig(xcomposite)
BuildRequires: pkgconfig(media-thumbnail)
BuildRequires: pkgconfig(capi-system-power)
BuildRequires: pkgconfig(capi-appfw-application)
BuildRequires: pkgconfig(capi-appfw-app-manager)
BuildRequires: pkgconfig(capi-system-runtime-info)
BuildRequires: pkgconfig(capi-system-sensor)
BuildRequires: pkgconfig(capi-media-metadata-extractor)
BuildRequires: pkgconfig(capi-content-mime-type)
BuildRequires: pkgconfig(capi-content-media-content)
BuildRequires: pkgconfig(capi-system-system-settings)

%description
Description: Image Viewer UI Gadget v1.0

%prep
%setup -q

%build

CFLAGS+=%cflags
CXXFLAGS+=%cxxflags

%ifarch %{arm}
%define ARCH arm
CXXFLAGS+=" -D_ARCH_ARM_ -mfpu=neon -mfloat-abi=softfp "
CFLAGS+=" -D_ARCH_ARM_ -mfpu=neon -mfloat-abi=softfp "
%else
%define ARCH i586
%endif

export CXXFLAGS
export CFLAGS

cmake . -DCMAKE_INSTALL_PREFIX=%{_ugdir}/ -DCMAKE_DATA_DIR=%{_datadir} -DARCH=%{ARCH}

make %{?jobs:-j%jobs}


%install
rm -rf %{buildroot}
%make_install
mkdir -p %{buildroot}/usr/share/license
cp LICENSE.Flora %{buildroot}/usr/share/license/%{name}

execstack -c %{buildroot}%{_ugdir}/lib/libug-image-viewer-efl.so.0.1.0

%post
chown -R 5000:5000 %{_datadir}/ug-image-viewer-efl
mkdir -p /usr/ug/bin/
ln -sf /usr/bin/ug-client /usr/ug/bin/image-viewer-efl

%files
%manifest ug-image-viewer-efl.manifest
%defattr(-,root,root,-)
%dir %{_datadir}/ug-image-viewer-efl

%defattr(-,root,root,-)
%{_ugdir}/*

/usr/share/license/%{name}
/usr/share/packages/*.xml

