/*
 * Copyright 2012  Samsung Electronics Co., Ltd
 *
 * Licensed under the Flora License, Version 1.1 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *	  http://floralicense.org/license/
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

#ifndef __IVUG_LISTPOPUP_H__
#define __IVUG_LISTPOPUP_H__


typedef void Ivug_ListPopup_Item;

#ifdef __cplusplus
extern "C" {
#endif

#include <stdbool.h>
/*
	Signals
		"popup,selected"	event_info contains Ivug_ListPopup_Item which is used when append/prepend
		"popup,dismissed"	closed button pressed, in case of contextual, no dismised callback

*/

Evas_Object *ivug_listpopup_add(Evas_Object *parent);

Ivug_ListPopup_Item *ivug_listpopup_item_append(Evas_Object *obj,  const char *iconpath, const char *caption, void *data);
Ivug_ListPopup_Item *ivug_listpopup_item_prepend(Evas_Object *obj, const char *iconpath, const char *caption, void *data);

/*
	Eina list includes (Ivug_ListPopup_Item *) - (Ivug_ListPopup_Item *) - (Ivug_ListPopup_Item *) ....
*/
Eina_List *ivug_listpopup_items_get(Evas_Object *obj);

/*
	Valid only when genlist style popup
*/
void ivug_listpopup_button_set(Evas_Object *obj, const char* caption);
void ivug_listpopup_title_set(Evas_Object *obj, const char* title);


void *ivug_listpopup_item_get_data(Ivug_ListPopup_Item *item);
void ivug_listpopup_item_disabled_set(Ivug_ListPopup_Item *item);
void ivug_listpopup_item_enabled_set(Ivug_ListPopup_Item *item);
const char *ivug_listpopup_item_get_text(Ivug_ListPopup_Item *item);
Elm_Object_Item *ivug_listpopup_item_get_item(Ivug_ListPopup_Item *item);

/*
	Show Time!
*/
bool ivug_listpopup_popup_show(Evas_Object *obj);
bool ivug_listpopup_context_show(Evas_Object *obj, Evas_Object *hover, int x, int y);


#ifdef __cplusplus
}
#endif


#endif 	// __IVUG_LISTPOPUP_H__

