/*
 * Copyright 2012  Samsung Electronics Co., Ltd
 *
 * Licensed under the Flora License, Version 1.1 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *	  http://floralicense.org/license/
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

#ifndef __IVUG_SCISSORBOX_H__
#define __IVUG_SCISSORBOX_H__

#ifdef __cplusplus
extern "C" {
#endif

typedef enum {
	SCISSOR_BOX_TYPE_1,		//. Image view
	SCISSOR_BOX_TYPE_2,		// Image edit
} eScissorBoxType;


Evas_Object *ivug_scissorbox_add(Evas_Object *parent);

void ivug_scissorbox_type_set(Evas_Object *obj, eScissorBoxType type);

void ivug_scissorbox_attach(Evas_Object *obj, Evas_Object *pObj);

void ivug_scissorbox_region_set(Evas_Object *obj, int x, int y, int w, int h);
void ivug_scissorbox_region_get(Evas_Object *obj, int *x, int *y, int *w, int *h);


void ivug_scissorbox_boundary_set(Evas_Object *obj, int x, int y, int w, int h);


/*DEFAULT_RATIO_FIX = EINA_TRUE */
void ivug_scissorbox_ratio_fix(Evas_Object *obj, Eina_Bool bFix);

/* Default value is bOpaque = true */
void ivug_scissorbox_set_opaque(Evas_Object *obj, Eina_Bool bOpaque);

#ifdef __cplusplus
}
#endif

#endif /* __IVUG_SCISSORBOX_H__*/

