/*
 * Copyright 2012  Samsung Electronics Co., Ltd
 *
 * Licensed under the Flora License, Version 1.1 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *	  http://floralicense.org/license/
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

#include "Primitives.h"
#include <algorithm>


using namespace std;


const CRect CRect::Zero = CRect(0,0,0,0);
const CSize CSize::Zero = CSize(0,0);
const CPoint CPoint::Zero = CPoint(0,0);



CRect UnionRect(const CRect &rect1, const CRect &rect2)
{
	return CRect(
			CPoint( min(rect1.Left(), rect2.Left()),
				min(rect1.Top(), rect2.Top()) ),

			CPoint( max(rect1.Right(), rect2.Right()),
				max(rect1.Bottom(), rect2.Bottom()) )
			);
}


CRect IntersectRect(const CRect &rect1, const CRect &rect2)
{
	CRect rect(
			CPoint( max(rect1.Left(), rect2.Left()),
				max(rect1.Top(), rect2.Top()) ),

			CPoint( min(rect1.Right(), rect2.Right()),
				min(rect1.Bottom(), rect2.Bottom()) )
			);

	if ( rect.IsValid() == false)
	{
		rect = CRect::Zero;
	}

	return rect;
}



